
h1.model-name {
  color: #222;
  text-align: center;
  margin: 140px auto;
}

.no-select {
  user-select: none;
}

div.content-table {
  overflow-x: scroll;
  
  div.options {
    display: flex;
    justify-content: space-around;
    margin-bottom: 20px;

    div.actions {

      button {
        font-family: "zunzun-icons";
        background-color: #222;
        color: #FFF;
        border: none;
        width: 50px;
        height: 50px;
        border-radius: 40px;
        font-size: 26px;
        transition: 1s;
        cursor: pointer;
        margin: 0 3px;
        padding: 0;

        &:hover {
          width: 60px;
          height: 60px;
          background-color: #FFF;
          color: #222;
        }
      }

    }

    div.order {
      display: flex;
      justify-content: center;

      button {
        border-radius: 0px;
        border-top-left-radius: 40px;
        border-bottom-left-radius: 40px;
        margin: 0;

        font-family: "zunzun-icons";
        background-color: #222;
        color: #FFF;
        border: none;
        width: 50px;
        height: 50px;
        font-size: 26px;
        transition: 1s;
        cursor: pointer;
        padding: 0;

        &:hover {
          width: 60px;
          height: 60px;
          background-color: #FFF;
          color: #222;
        }
      }

      select {
        background-color: #222;
        color: #FFF;
        border: none;
        height: 50px;
        font-size: 18px;
        transition: 1s;
        cursor: pointer;
        padding: 0 15px;
        border-top-right-radius: 40px;
        border-bottom-right-radius: 40px;
        font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;
      }


      &:hover {
        button {
          width: 60px;
          height: 60px;
          background-color: #FFF;
          color: #222;
        }
        select {
          height: 60px;
          background-color: #FFF;
          color: #222;
        }
      }
    }


  }
  div.flyhtml-table {
    display: flex;
    width: max-content;
    width: 100%;

    div.wrap {
      display: flex;
      overflow-x: auto;
      width: calc(100vw - 162px);
    }

    div.column {
      flex-shrink: 0;

      min-width: 16px;
      overflow-x: hidden;
      div.th {
        display: flex;
        align-items: center;
        justify-content: center;

        position: relative;
        div.resize {
          position: absolute;
          bottom: 0;
          right: 0;
          width: 10px;
          height: 10px;
          background: linear-gradient(to bottom right, #fff0 0%, #fff0 50%, #fff 50%, #fff 100%);
          cursor: ew-resize;
        }
      }

      &.option {
        width: 54px;
        min-width: 54px;
        min-width: 54px;

        div.th {
          font-family: "zunzun-icons";
          font-size: 22px;
        }

        div.td {
          display: flex;
          align-items: center;
          justify-content: center;

          button {
            font-family: "zunzun-icons";
            background-color: #222;
            color: #FFF;
            border: none;
            width: 26px;
            height: 26px;
            border-radius: 40px;
            font-size: 16px;
            transition: 1s;
            cursor: pointer;
            margin: 0 3px;
            padding: 0;

            &:hover {
              width: 32px;
              height: 32px;
              background-color: #FFF;
              color: #222;
            }
          }
        }
      }

      &.text, &.int, &.media, &.date-time {
        flex-grow: 0;
        flex-shrink: 0;
      }

      &.media {
        width: 100px;
      }

      &.date-time {
        width: 275px;
        div.th, div.td { 
        }
      }

      div.th, div.td {

        border: 1px solid #333;
        height: 16px;
        margin: 2px 0;
      }

      div.th {
        width: calc(100% - 4px);
        padding: 10px 0px;

        background-color: #222;
        color: #FFF;
        overflow: hidden;
      }

      div.td {
        width: calc(100% - 12px);
        padding: 2px 4px;
        min-height: 32px;
        max-height: 100px;
        overflow-y: auto;


      }
    }
  }


  padding: 0;

  div.tr {
    display: flex;
    align-items: center;
    justify-content: space-around;
    width: fit-content;


    div.th, div.td {
      width: 200px;
      &.int, &.boolean {
        width: 100px;
      }

      &.options {
        width: 260px;
      }

      &.uuid, &.text, &.media {
        width: 200px;
      }


      height: 60px;

      padding: 10px 20px;
      border: 1px solid #333;
      margin: 2px;

      display: flex;
      justify-content: space-around;
      align-items: center;

      overflow-y: auto;
    }

    div.th {
      background-color: #222;
      color: #FFF;
      height: 80px;
    }

    div.td {

      transition: 1s;

      &.options {
        div {
          font-family: "zunzun-icons";
          font-size: 42px;
          cursor: pointer;

          width: 60px;
          height: 60px;
          line-height: 60px;
          text-align: center;
          background-color: #222;
          border-radius: 60px;
          color: #FFF;
          transition: 1s;

          margin: 0 10px;

          &:hover {
            width: 80px;
            height: 80px;
            line-height: 80px;

            background-color: #FFF;
            color: #222;

          }
        }
      }
    }

    &:hover {
      div.td {
      }
    }
  }
}

#new-item-opt {
  width: 100%;
  max-width: 700px;
  text-align: center;
  background-color: #222;
  padding: 20px 0;
  color: #FFF;
  margin: 100px auto;
  border-radius: 100px;
  font-size: 20px;
  cursor: pointer;
  transition: 1s;

  &:hover {
    color: #000;
    background-color: #FFF;

    padding: 40px 20px;
  }
}

div.row-editor {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #FFF;
  display: flex;
  align-items: center;
  justify-content: space-around;
  flex-wrap: wrap;


  div.editor-header {
    width: 100%;
    div.close-editor {
      position: fixed;
      top: 15px;
      left: 15px;
      width: 60px;
      height: 60px;
      line-height: 60px;
      text-align: center;
      background-color: #222;
      border-radius: 50px;
      color: #FFF;
      transition: 1s;

      cursor: pointer;

      font-family: "zunzun-icons";
      font-size: 42px;


      &:hover {
        width: 80px;
        height: 80px;
        line-height: 80px;
        top: 5px;
        right: 5px;
        color: #000;
        background-color: #FFF;
      }
    }
  }

  div.editor-inputs-wrap {
    width: 100%;
    height: 100%;

    overflow-y: auto;

    div.editor-inputs {
      margin: 0 auto;

      width: 100%;
      max-width: 960px;

      display: flex;
      align-items: center;
      justify-content: space-around;
      flex-wrap: wrap;

      padding: 0;


      div.ilang-select {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100px;


        h3, select {
          margin: 10px;
        }

        h3 {

        }

        select {

        }
      }

      div.multilang-input {
        width: 100%;
      }

      div.num-input {
        display: flex;
        align-items: center;
        input {
          -webkit-appearance: none;
          -moz-appearance: textfield;
          margin: 0;
        }

        div.label {
          padding: 0 40px;
        }

        div.num-input-ctl {
          div {
            width: 22px;
            text-align: center;
          }
        }
      }


      input[type=text], input[type=password], textarea, div.rich-text-wrap {
        width: calc(100% - 46px);
        margin: 20px 0;
      }

      input[type=text], input[type=number], input[type=password], textarea, input[type=submit], div.rich-text-wrap div.rich-text-input, select {
        background-color: #222;
        padding: 10px 20px;
        border: 3px solid #444;
        color: #FFF;
        font-size: 18px;
        transition: 1s;

        &:hover, &:focus {
          padding: 20px 20px;
        }
      }


      input[type=text] {

        &.select-media {
          width: 200px;
        }
      }

      textarea, div.rich-text-wrap div.rich-text-input {
        min-height: 160px;
        resize: vertical;
        overflow-y: auto;
      }

      input[type=submit] {
        margin: 20px 0;
        width: 100%;
      }

      div.rich-text-wrap {
        width: 100%;

        &.wide {
          width: 100vw;
          div.rich-text-input {
            width: calc(100vw - 42px);
          }
        }

        &.full {
          position: fixed;
          top: 0; bottom: 0;
          left: 0; right: 0;
          margin: 0;
          background-color: #FFF;
          div.rich-text-input {
            height: calc(100vh - 64px);
            resize: none;

            &:hover, &:focus {
              padding: 10px 20px;
            }
          }
        }

        div.rich-editor-controls {
          padding: 5px;
          display: flex;
          align-items: center;
          flex-wrap: wrap;
          width: 700px;

          div.rec-section {
            padding: 0 5px;
            display: flex;
            align-items: center;
            div.rec-option {
              border-radius: 3px;
              width: 45px;
              height: 45px;
              line-height: 45px;
              border-radius: 30px;
              margin: 2px;
              font-size: 34px;
              cursor: pointer;
              font-family: "rich-text-icons";
              text-align: center;
              color: #FFF;
              background-color: #222;
              transition: 1s;
              &:hover {
                width: 52px;
                height: 52px;
                line-height: 52px;
                color: #222;
                background-color: #FFF;
              }
            }
          }

        } 

        div.rich-text-input {

          a, a:visited, a:active {

            color: #FFF;
          } 

          div { 
            min-width: 60px;
            min-height: 30px;
          }

          div.align-div:not(.resize-media) {
            &.left, &.hcenter, &.right, &.top, &.vcenter, &.bottom {
              display: flex;
              flex-wrap: wrap;

            
              flex-direction: column;

              &.left {
                align-items: start;
                text-align: left;
              }
              &.hcenter {
                align-items: center;
                text-align: center;
              }
              &.right {
                align-items: end;
                text-align: right;
              }

              &.top {
                justify-content: start;
              }
              &.vcenter {
                justify-content: center;
              }
              &.bottom {
                justify-content: end;
              }

              div {
                flex: 0 0 auto;
              }
            }


          }

          div.table {
            display: flex;
            flex-direction: column;

            div.tr {
              display: flex;
              align-items: center;
              overflow-y: auto;
              resize: vertical;
              div.td {
                overflow-x: auto;
                resize: horizontal;

                outline: #222 solid 1px;
                border: 1px solid #FFF;
                min-height: 30px;
                min-width: 60px;

                height: calc(100% - 4px);

                div:not(.resize-media) {
                  min-width: 60px;
                  min-height: 30px;
                  height: fit-content;
                }

              }
            }

          }

          div.resize-media {
            overflow: auto;
            resize: both;

            outline: #222 solid 1px;
            border: 1px solid #FFF;

            img, video {
              max-height: 100%;
              width: auto;
              max-width: 100%;
            }
          }

          code {
            background-color: #FFF;
            color: #222;
            div {
              background-color: #FFF;
              color: #222;
            }
          }
        }
      }
    }
  }
}

div.select-grid-div {
  background-color: white;

  position: fixed;
  top: 0; left: 0;
  bottom: 0; right: 0;

  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  overflow-y: auto;

  button.submit {
    position: fixed;
    bottom: 50px;
    right: 50px;

  }

  button.submit, button.close {
    background-color: #222;
    padding: 0px 20px;
    border: 1px solid #222;
    color: #FFF;
    font-size: 18px;
    border-radius: 15px;
    cursor: pointer;
    transition: 1s;
    margin: 5px 10px;

    height: 50px;
    line-height: 50px;

    border-radius: 40px;

    &:hover, &:focus {
      padding: 0px 25px;
      height: 60px;
      line-height: 60px;
      background-color: #FFF;
      color: #222;
      border: 1px solid #FFF;
    }
  }

  div.select-grid-upload {

    display: flex;
    align-items: center;

    width: fit-content;
    max-width: 1026px;



    label, input[type=submit] {
      background-color: #222;
      padding: 0px 20px;
      border: 1px solid #222;
      color: #FFF;
      font-size: 18px;
      border-radius: 15px;
      cursor: pointer;
      transition: 1s;
      margin: 5px 10px;

      height: 50px;
      line-height: 50px;

      border-radius: 40px;

      &:hover, &:focus {
        padding: 0px 25px;
        height: 60px;
        line-height: 60px;
        background-color: #FFF;
        color: #222;
        border: 1px solid #FFF;
      }
    }


    label {

    }

    input[type=file] {
      display: none;
    }

    div.selected-files {
      display: flex;
      align-items: center;
      flex-wrap: wrap;
      border: 1px solid #222;
      max-width: 620px;
      max-height: 84px;
      overflow-y: auto;
      border-radius: 18px;

      div {
        margin: 1px;
        background-color: #222;
        color: #FFF;
        border-radius: 30px;
        padding: 5px 15px;
      }
    }

    input[type=submit] {
      font-family: Lucida Console,Lucida Sans Typewriter,monaco,Bitstream Vera Sans Mono,monospace;

      &:disabled {
        background-color: #FFF;
        color: #222;

        cursor: default;

      }
    }
  }

  div.select-grid-close, div.select-grid-submit {
    width: 60px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    background-color: #222;
    border-radius: 50px;
    color: #FFF;
    transition: 1s;

    cursor: pointer;

    font-family: "zunzun-icons";
    font-size: 42px;


    margin: 15px;


    &:hover {
      width: 80px;
      height: 80px;
      line-height: 80px;
      margin: 5px;
      color: #000;
      background-color: #FFF;
    }
  }

  div.select-grid-close {

  }


  div.select-grid-submit {

  }

  div.select-grid {
    width: 100vw;
    overflow-y: auto;
    height: calc(100% - 90px);

    display: flex;
    align-items: center;
    flex-wrap: wrap;
    div.select-media-item {
      color: #222;

      width: 320px;
      height: 320px;

      margin: 10px;

      border: 1px solid #222;
      transition: 1s;

      cursor: pointer;

      display: flex;
      align-items: start;
      justify-content: center;
      flex-wrap: wrap;

      div.media-item-header {
        width: 100%;
        margin: 10px;
        text-align: center;
        overflow: hidden;
      }

      img, video {
        max-width: calc(100%);
        max-height: calc(100% - 42px);
      }

      &:hover {
        width: 360px;
        height: 360px;
      }

      &.selected {
        background-color: #222;
        color: #FFF;
      }
    }
  }

}
